跳转到主要内容
POST
Search operation endpoint

请求规范

  • 方法与路径: POST /apis/v1/listennotes/full-text-search
  • 可用状态: enabled
  • 请求 URL 模板: https://api.aisa.one/apis/v1/listennotes/full-text-search
  • Runtime 事实版本: 3f699076c1baf63c05edde2629715e34586e70ee0982cdee89366394f35facf8
完整 OpenAPI 定义 有效请求与价格声明(包括认证和引用的 schema):

费用与请求规则

按用量计费;默认请求预估费用:$0.0403 USD(不是固定价格)。 声明的单位费率:每 provider_credit $0.000001 USD。 最终费用以账户适用价格及实际结算为准。 公开参考值不是你的账户报价或最终扣费。对于支持 X-AISA-Cost-Mode: quote 的接口,执行前请针对完整请求获取免费报价;执行后通过响应费用元数据和 Usage Logs 核对结算费用。1 USD 等于 1,000,000 个整数 micro-USD。
  • 默认请求参考估价(USD): 0.0403
  • 声明的单位费率(USD): 1e-06
  • 计费单位: provider_credit
  • 计费依据: response_units
  • 公开参考倍率: 1.0
  • 声明的最大计数或单位数: 10000000
  • 结算证据来源: response_body

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

请求体

application/json
q
string
必填

Search term, e.g., person, place, topic... You can use double quotes to do verbatim match, e.g., "game of thrones". Otherwise, it"s fuzzy search.

ncid
string

A comma-delimited string of podcast ids (up to 5 podcasts) - you can get a podcast id from the podcast_id field in response. This parameter is to exclude search results of a few specific podcasts. It works only when type is episode.

ocid
string

A comma-delimited string of podcast ids (up to 5 podcasts) - you can get a podcast id from the podcast_id field in response. This parameter is to limit search results from only a few specific podcasts. It works only when type is episode.

type
enum<string>
默认值:episode

What type of contents do you want to search for?

可用选项:
curated,
episode,
podcast
offset
integer
默认值:0

Offset for search results, for pagination. You"ll use next_offset from response for this parameter.

region
string

Limit search results to a specific region (e.g., us, gb, in...). If not specified, it"ll be any region. You can get the supported country codes from GET /regions. It works only when type is episode or podcast.

len_max
integer

Maximum audio length in minutes. Applicable only when type parameter is episode or podcast. If type parameter is episode, it"s for audio length of an episode. If type parameter is podcast, it"s for average audio length of all episodes in a podcast.

len_min
integer
默认值:0

Minimum audio length in minutes. Applicable only when type parameter is episode or podcast. If type parameter is episode, it"s for audio length of an episode. If type parameter is podcast, it"s for average audio length of all episodes in a podcast.

only_in
string
默认值:title,description,author,audio

A comma-delimited string to search only in specific fields. Allowed values are title, description, author, and audio. If not specified, then search every fields.

language
string

Limit search results to a specific language. If not specified, it"ll be any language. You can get a list of supported languages from GET /languages. It works only when type is episode or podcast.

genre_ids
string

A comma-delimited string of a list of genre ids. If not specified, then all genres are included. You can find the id and the name of all genres from GET /genres. It works only when type is episode or podcast.

page_size
integer
默认值:10

The maximum number of search results per page. A valid value should be an integer between 1 and 10 (inclusive).

safe_mode
integer
默认值:0

Whether or not to exclude podcasts/episodes with explicit language. 1 is yes and 0 is no. It works only when type is episode or podcast.

sort_by_date
integer
默认值:0

Sort by date or not? If 0, then sort by relevance. If 1, then sort by date.

sponsored_only
integer
默认值:0

Whether or not to keep only podcasts that have sponsors in search results. 1 is yes and 0 is no. It works only when type is podcast. This parameter is available only in the PRO/ENTERPRISE plan.

interviews_only
integer
默认值:0

Whether or not to keep only podcasts that have guest interviews in search results. 1 is yes and 0 is no. It works only when type is podcast. This parameter is available only in the PRO/ENTERPRISE plan.

published_after
integer
默认值:0

Only show episodes/podcasts/curated lists published after this timestamp (in milliseconds). If published_before & published_after are used at the same time, published_before should be bigger than published_after.

unique_podcasts
integer
默认值:0

Whether or not to keep only one episode per podcast in search results. 1 is yes and 0 is no. It works only when type is episode.

update_freq_max
integer

Maximum update frequency in hours (how frequently does a podcast release a new episode). For example, if you want to find "weekly" podcasts, then you can set update_freq_min=144 hours (or 6 days) and update_freq_max=192 hours (or 8 days). Applicable only when type parameter is podcast.

update_freq_min
integer

Minimum update frequency in hours (how frequently does a podcast release a new episode). For example, if you want to find "weekly" podcasts, then you can set update_freq_min=144 hours (or 6 days) and update_freq_max=192 hours (or 8 days). Applicable only when type parameter is podcast.

published_before
integer

Only show episodes/podcasts/curated lists published before this timestamp (in milliseconds). If published_before & published_after are used at the same time, published_before should be bigger than published_after.

episode_count_max
integer

Maximum number of episodes. Applicable only when type parameter is podcast.

episode_count_min
integer

Minimum number of episodes. Applicable only when type parameter is podcast.

响应

Tool result data

data
object
必填